# Uses of Interface
java.lang.classfile.attribute.AnnotationDefaultAttribute

Packages that use AnnotationDefaultAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of AnnotationDefaultAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type AnnotationDefaultAttribute
Modifier and Type
Method
Description
`static AttributeMapper<AnnotationDefaultAttribute>`
Attributes.`annotationDefault()`
Returns the mapper for the `AnnotationDefault` attribute.

## Uses of AnnotationDefaultAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type AnnotationDefaultAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`AnnotationDefaultAttribute`
Models the `AnnotationDefault` attribute (JVMS §4.7.22), which records the default value (JLS §9.6.2) for the annotation interface element defined by this method.
Methods in java.lang.classfile.attribute that return AnnotationDefaultAttribute
Modifier and Type
Method
Description
`static AnnotationDefaultAttribute`
AnnotationDefaultAttribute.`of(AnnotationValue annotationDefault)`
Returns an `AnnotationDefault` attribute.